get resource state.md

Get resource state

Media API · Streaming Locators

GET https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}/state

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see our resource state docs.

RBAC Capability Required: ams.streaminglocator.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes
locator_name string Yes

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}/state" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

Example:

{
  "status": {
    "state": "string"
  }
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}/state